import * as $dara from '@darabonba/typescript';
import { UpdateNatGatewayNatTypeResponseBody } from "./UpdateNatGatewayNatTypeResponseBody";
export declare class UpdateNatGatewayNatTypeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateNatGatewayNatTypeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
